Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "William Thomson (wltjr)" <wltjr@g.o>
Subject: gentoo-x86 commit in dev-java/tomcat-servlet-api: ChangeLog tomcat-servlet-api-5.5.25.ebuild tomcat-servlet-api-6.0.14.ebuild tomcat-servlet-api-4.1.36.ebuild tomcat-servlet-api-3.ebuild tomcat-servlet-api-5.5.23.ebuild
Date: Sat, 03 Nov 2007 02:01:25 +0000
wltjr       07/11/03 02:01:25

  Modified:             ChangeLog tomcat-servlet-api-5.5.25.ebuild
                        tomcat-servlet-api-6.0.14.ebuild
  Added:                tomcat-servlet-api-4.1.36.ebuild
                        tomcat-servlet-api-3.ebuild
  Removed:              tomcat-servlet-api-5.5.23.ebuild
  Log:
  Removed past unused 5.5.x version. Added (migrated servletapi) ebuilds for 2.2 and 2.3 slots using upstream sources vs ours. Quoted vars in existing.
  (Portage version: 2.1.3.16)

Revision  Changes    Path
1.35                 dev-java/tomcat-servlet-api/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-java/tomcat-servlet-api/ChangeLog?rev=1.35&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-java/tomcat-servlet-api/ChangeLog?rev=1.35&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-java/tomcat-servlet-api/ChangeLog?r1=1.34&r2=1.35

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-java/tomcat-servlet-api/ChangeLog,v
retrieving revision 1.34
retrieving revision 1.35
diff -u -r1.34 -r1.35
--- ChangeLog	27 Oct 2007 09:01:22 -0000	1.34
+++ ChangeLog	3 Nov 2007 02:01:25 -0000	1.35
@@ -1,6 +1,16 @@
 # ChangeLog for dev-java/tomcat-servlet-api
 # Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-java/tomcat-servlet-api/ChangeLog,v 1.34 2007/10/27 09:01:22 nelchael Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-java/tomcat-servlet-api/ChangeLog,v 1.35 2007/11/03 02:01:25 wltjr Exp $
+
+*tomcat-servlet-api-4.1.36 (03 Nov 2007)
+*tomcat-servlet-api-3 (03 Nov 2007)
+
+  03 Nov 2007; William L. Thomson Jr. <wltjr@g.o>
+  +tomcat-servlet-api-3.ebuild, +tomcat-servlet-api-4.1.36.ebuild,
+  -tomcat-servlet-api-5.5.23.ebuild, tomcat-servlet-api-5.5.25.ebuild,
+  tomcat-servlet-api-6.0.14.ebuild:
+  Removed past unused 5.5.x version. Added (migrated servletapi) ebuilds for
+  2.2 and 2.3 slots using upstream sources vs ours. Quoted vars in existing.
 
   27 Oct 2007; Krzysiek Pawlik <nelchael@g.o>
   tomcat-servlet-api-5.5.25.ebuild:



1.3                  dev-java/tomcat-servlet-api/tomcat-servlet-api-5.5.25.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-java/tomcat-servlet-api/tomcat-servlet-api-5.5.25.ebuild?rev=1.3&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-java/tomcat-servlet-api/tomcat-servlet-api-5.5.25.ebuild?rev=1.3&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-java/tomcat-servlet-api/tomcat-servlet-api-5.5.25.ebuild?r1=1.2&r2=1.3

Index: tomcat-servlet-api-5.5.25.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-java/tomcat-servlet-api/tomcat-servlet-api-5.5.25.ebuild,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- tomcat-servlet-api-5.5.25.ebuild	27 Oct 2007 09:01:22 -0000	1.2
+++ tomcat-servlet-api-5.5.25.ebuild	3 Nov 2007 02:01:25 -0000	1.3
@@ -1,6 +1,6 @@
 # Copyright 1999-2007 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-java/tomcat-servlet-api/tomcat-servlet-api-5.5.25.ebuild,v 1.2 2007/10/27 09:01:22 nelchael Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-java/tomcat-servlet-api/tomcat-servlet-api-5.5.25.ebuild,v 1.3 2007/11/03 02:01:25 wltjr Exp $
 
 inherit eutils java-pkg-2 java-ant-2
 
@@ -29,20 +29,20 @@
 }
 
 src_install() {
-	mv jsr{154,152}/dist/lib/*.jar ${S}
+	mv jsr{154,152}/dist/lib/*.jar "${S}"
 
 	if use doc ; then
 		mkdir docs
-		cd ${S}/jsr154/build
-		mv docs ${S}/docs/servlet
-		mv examples ${S}/docs/servlet/examples
-
-		cd ${S}/jsr152/build
-		mv docs ${S}/docs/jsp
-		mv examples ${S}/docs/jsp/examples
+		cd "${S}/jsr154/build"
+		mv docs "${S}/docs/servlet"
+		mv examples "${S}/docs/servlet/examples"
+
+		cd "${S}/jsr152/build"
+		mv docs "${S}/docs/jsp"
+		mv examples "${S}/docs/jsp/examples"
 	fi
 
-	cd ${S}
+	cd "${S}"
 	java-pkg_dojar *.jar
 	use doc && java-pkg_dohtml -r docs/*
 	use source && java-pkg_dosrc jsr{152,154}/src/share/javax



1.6                  dev-java/tomcat-servlet-api/tomcat-servlet-api-6.0.14.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-java/tomcat-servlet-api/tomcat-servlet-api-6.0.14.ebuild?rev=1.6&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-java/tomcat-servlet-api/tomcat-servlet-api-6.0.14.ebuild?rev=1.6&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-java/tomcat-servlet-api/tomcat-servlet-api-6.0.14.ebuild?r1=1.5&r2=1.6

Index: tomcat-servlet-api-6.0.14.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-java/tomcat-servlet-api/tomcat-servlet-api-6.0.14.ebuild,v
retrieving revision 1.5
retrieving revision 1.6
diff -u -r1.5 -r1.6
--- tomcat-servlet-api-6.0.14.ebuild	2 Sep 2007 15:05:55 -0000	1.5
+++ tomcat-servlet-api-6.0.14.ebuild	3 Nov 2007 02:01:25 -0000	1.6
@@ -1,6 +1,6 @@
 # Copyright 1999-2007 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-java/tomcat-servlet-api/tomcat-servlet-api-6.0.14.ebuild,v 1.5 2007/09/02 15:05:55 corsair Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-java/tomcat-servlet-api/tomcat-servlet-api-6.0.14.ebuild,v 1.6 2007/11/03 02:01:25 wltjr Exp $
 
 JAVA_PKG_IUSE="source"
 
@@ -25,7 +25,7 @@
 	unpack ${A}
 	cd "${S}"
 
-	cp ${FILESDIR}/${SLOT}-build.xml build.xml || die "Could not replace build.xml"
+	cp "${FILESDIR}/${SLOT}-build.xml" build.xml || die "Could not replace build.xml"
 	rm */*/build.xml
 }
 



1.1                  dev-java/tomcat-servlet-api/tomcat-servlet-api-4.1.36.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-java/tomcat-servlet-api/tomcat-servlet-api-4.1.36.ebuild?rev=1.1&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-java/tomcat-servlet-api/tomcat-servlet-api-4.1.36.ebuild?rev=1.1&content-type=text/plain

Index: tomcat-servlet-api-4.1.36.ebuild
===================================================================
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-java/tomcat-servlet-api/tomcat-servlet-api-4.1.36.ebuild,v 1.1 2007/11/03 02:01:25 wltjr Exp $

JAVA_PKG_IUSE="doc source"

inherit java-pkg-2 java-ant-2

MY_P="apache-${P/-servlet-api/}-src"
DESCRIPTION="Tomcat's Servlet API 2.3/JSP API 1.2 implementation"
HOMEPAGE="http://tomcat.apache.org/"
SRC_URI="mirror://apache/tomcat/tomcat-4/v${PV}/src/${MY_P}.tar.gz"
DEPEND=">=virtual/jdk-1.4"
RDEPEND=">=virtual/jre-1.4"
LICENSE="Apache-1.1"
SLOT="2.3"
KEYWORDS="~amd64 ~ia64 ~ppc ~ppc64 ~x86 ~x86-fbsd"
IUSE=""
S="${WORKDIR}/${MY_P}/servletapi"

src_unpack() {
	unpack ${A}
	cd "${S}"

	einfo "Removing bundled jars and classes"
	find "${WORKDIR}/${MY_P}" '(' -name '*.class' -o -name '*.jar' ')' -delete
}

EANT_BUILD_TARGET="all"

src_install() {
	java-pkg_dojar dist/lib/servlet.jar

	use doc && java-pkg_dohtml -r dist/docs/*
	use source && java-pkg_dosrc src/share/javax
	dodoc dist/README.txt
}



1.1                  dev-java/tomcat-servlet-api/tomcat-servlet-api-3.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-java/tomcat-servlet-api/tomcat-servlet-api-3.ebuild?rev=1.1&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-java/tomcat-servlet-api/tomcat-servlet-api-3.ebuild?rev=1.1&content-type=text/plain

Index: tomcat-servlet-api-3.ebuild
===================================================================
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-java/tomcat-servlet-api/tomcat-servlet-api-3.ebuild,v 1.1 2007/11/03 02:01:25 wltjr Exp $

JAVA_PKG_IUSE="doc source"

inherit java-pkg-2 java-ant-2

MY_PN="${PN/tomcat/}"
MY_PN="jakarta-${MY_PN//-/}-src"
DESCRIPTION="Tomcat's Servlet API 2.2/JSP API 1.2 implementation"
HOMEPAGE="http://tomcat.apache.org/"
SRC_URI="http://archive.apache.org/dist/jakarta/tomcat-3/src/${MY_PN}.tar.gz"
DEPEND=">=virtual/jdk-1.4"
RDEPEND=">=virtual/jre-1.4"
LICENSE="Apache-1.1"
SLOT="2.2"
KEYWORDS="~amd64 ~ia64 ~ppc ~ppc64 ~x86 ~x86-fbsd"
IUSE=""
S="${WORKDIR}/${MY_PN}"

EANT_BUILD_TARGET="all"

src_install() {
	java-pkg_dojar ../dist/servletapi/lib/servlet.jar

	use doc && java-pkg_dohtml -r ../dist/servletapi/docs/*
	use source && java-pkg_dosrc src/share/javax
	dodoc ../dist/README.txt
}



-- 
gentoo-commits@g.o mailing list


Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in sys-apps/portage: ChangeLog portage-2.1.3.17.ebuild
Next by thread:
gentoo-x86 commit in net-dns/hesiod: hesiod-3.0.2-r1.ebuild ChangeLog hesiod-3.0.2.ebuild hesiod-3.0.2-r2.ebuild
Previous by date:
gentoo-x86 commit in dev-java/xmlrpc: ChangeLog xmlrpc-2.0.1.ebuild
Next by date:
gentoo-x86 commit in profiles: use.local.desc


Updated Jun 07, 2012

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.